Download it now!
Bug 131974 - Breeze, Colibre, Sifr, Sukapura: Flipped Undo & Redo button with RTL (Arabic) UI
Summary: Breeze, Colibre, Sifr, Sukapura: Flipped Undo & Redo button with RTL (Arabic) UI
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Rizal Muttaqin
URL:
Whiteboard: target:7.0.0 target:6.4.4
Keywords:
Depends on:
Blocks: Icon-Theme-Breeze Icon-Theme-Colibre Icon-Theme-Sifr Icon-Theme-Sukapura
  Show dependency treegraph
 
Reported: 2020-04-08 03:17 UTC by Rizal Muttaqin
Modified: 2020-04-19 08:38 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Comparison of Undo & Redo button in various icon sets (30.80 KB, image/png)
2020-04-08 03:17 UTC, Rizal Muttaqin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rizal Muttaqin 2020-04-08 03:17:49 UTC
Created attachment 159406 [details]
Comparison of Undo & Redo button in various icon sets

Please switch the icons for Undo & Redo button in RTL Language UI.
Comment 1 Commit Notification 2020-04-08 05:07:50 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/5f47b3f56ac324ee02ea18d7362524380381b835

Sukapura: Fix for tdf#131974 Undo & Redo for RTL UI

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2020-04-08 13:15:54 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ab751b456d334464b01ae6a6b25ebfd1f8e2fc91

All icons: fix for tdf#131975, Breeze, Sifr fix for tdf#131974

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2020-04-09 05:15:15 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/5b56db7dcf471dc837fc05e92636579ef80a205c

Colibre: Fix for tdf#131974 & tdf#131975

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2020-04-09 08:24:52 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/0bcf63e91f97ded939f8c818a80c992bf0e1018c

All icons: fix for tdf#131975, Breeze, Sifr fix for tdf#131974

It will be available in 6.4.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2020-04-10 14:21:09 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/baa18b4b4c7d94589a9d2aeac6e62f79103c0f16

Colibre: Fix for tdf#131974 & tdf#131975

It will be available in 6.4.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Rizal Muttaqin 2020-04-19 08:38:02 UTC
Verified fix in

Version: 7.0.0.0.alpha0+Build ID: 1289ef10406e00d0fc9abc5bca444d026ab21743CPU threads: 4; OS: Linux 4.20; UI render: default; VCL: kf5; TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2020-04-16_09:37:58Locale: id-ID (id_ID.UTF-8); UI-Language: ar-SACalc: threaded